from flask import request

from libraries.database.database import APP
from libraries.database.broadcasts import TrackService


class Routes:
    error = None

    def __init__(self):
        APP.run()

    @staticmethod
    @APP.route('/')
    @APP.route('/index')
    def index():
        return "Welcome to Aura. Please use the CLI Tool guru.py to manipulate the server. Web service is in planned..."

    # request: http://localhost:5000/trackservice?from=2018-01-17T13:30:00&to=2018-01-17T16:00:00
    @staticmethod
    @APP.route("/trackservice", methods=["GET"])
    def trackservice():
        from_time = request.args.get("from")
        to_time = request.args.get("to")
        now = request.args.get("now")

        if now == "":
            entry = TrackService.now_playing()

        return "from: " + str(from_time) + " to: " + str(to_time) + " now: " + str(now)